Data access pages: What they are and how they work

A data access page is a special type of Web page that enables you to view and work with data from a database. It may also include data from other sources, such as Microsoft Excel. How you interact with the page depends on what it's used for:

  • Interactive reporting This type of data access page is often used to consolidate and group information stored in the database and to publish summaries of the data. For example, a page might publish sales performance for each region in which you do business. Using expand indicators, you can go from a general summary of the information, such as a list of all the regions and their combined sales total, to specific details on individual sales within each region. While the page may also provide toolbar buttons that enable you to sort and filter the data, you can't edit data on this type of page. See an example of a page used for interactive reporting.

  • Data entry This type of data access page is used to view, add, and edit records, or just add records. See an example of a page used for data entry.

  • Data analysis This type of data access page may include a PivotTable list, similar to a Microsoft Access PivotTable form or Microsoft Excel PivotTable report, that lets you reorganize the data to analyze it in different ways. The page may contain a chart for analyzing trends, patterns, and making comparisons on the data in your database, or a spreadsheet where you can enter and edit data, and use formulas to perform some of the same calculations you can do in Microsoft Excel. See an example of a page used for data analysis.

A data access page is connected directly to the underlying database. When you display the page in Microsoft Internet Explorer, you're viewing your own copy of the page. So any filtering, sorting, and other changes that you make to how the data is displayed — including changes that you make within a PivotTable list or spreadsheet — affect only your copy of the page. However, changes that you make to the data itself — modifying values, or adding or deleting data — are stored in the underlying database and therefore are available to everyone viewing the page.

Note Data access pages are supported in Microsoft Internet Explorer 5 or later.

More information

Parts of a data access page


Parts of a data access page

There are many features that a data access page can have; however, these features vary depending on the purpose of the page. Some of the most common features are listed below. (Fields and records are always part of a data access page; however, how they are presented varies.)

Parts of a data access page

This topic provides reference information about:

Text boxes or input boxes

Records

Groups

The record navigation toolbar

PivotTable lists

Spreadsheets

Charts

Text boxes or input boxes Display existing data from the underlying database, or, if allowed, accept new data that you enter to be stored in the database.

Return to top

Records Are a collection of related facts about one entity, such as a customer, a customer order, or an employee, stored in a database. For example, customer order 15900 by the Ernst Handel company on 11/1/98 represents one record.

Return to top

Groups Organize data into sets. For example, a data access page may group records of customers' orders by country. The name of each country is the group header. Depending on how the page was designed, either all the groups are displayed on the page (usually with their records hidden), or no specific group is displayed until you pick one from a list of available groups. If the page shows all the groups on the page, then you can display the records for a specific group by clicking its expand indicator. Once expanded, each group may have its own record navigation toolbar located at the bottom of the group. You can't edit the data in a page that has groups.

Return to top

Record navigation toolbar Lets you quickly move between records or add, delete, save, undo changes to, sort, or filter records. In a grouped data access page, each group might have its own record navigation toolbar located at the bottom of the expanded group. If the toolbar on your page doesn't include some of the buttons displayed in the following art or includes buttons that aren't listed here, it's been customized by the person who designed the page.

Record navigation toolbar and buttons

Return to top

PivotTable lists Similar to a Microsoft Excel PivotTable report; display data in a row and column format that you can reorganize to analyze the data in different ways. You do this by moving rows to columns and columns to rows, displaying totals at the intersection of rows and columns, and otherwise rearranging and summarizing the data. A PivotTable list includes its own toolbar and built-in Help.

Return to top

Spreadsheets Similar to a Microsoft Excel worksheet; let you enter and edit data or perform calculations on the data. A spreadsheet includes its own toolbar and built-in Help.

Return to top

Charts Use database data to visually display trends, patterns, and comparisons. When the data in the database changes, the chart updates accordingly. If the chart is linked to a PivotTable list or spreadsheet on the data access page, the chart changes when you change the PivotTable list or spreadsheet.


Get Help on specific areas in a data access page

The topics in this data access page Help explain how to view and work with the page in general; however, the authors of the page may have provided Help information specific to the page you are viewing. For example, they may have added instructions directly to the page, or they may have added a custom Help button or hyperlink to Help information for the page.

A data access page may also include features that have their own Help built into them. For example, a PivotTable list or spreadsheet has its own Help that explains how to work with just that feature of the page.

  • To get Help about using either the PivotTable list or spreadsheet, click Help [image] on the toolbar in the PivotTable list or spreadsheet.

  • To get Help about using Microsoft Internet Explorer, click Contents and Index on the Internet Explorer Help menu.

  • To redisplay Help for the main data access page, close the Help window for the spreadsheet or PivotTable list, then click Help [image] on the data access page record navigation toolbar.

Note Other features, such as the Microsoft Windows Media Player, also have their own Help, which is available by right-clicking that feature.


Troubleshoot data access pages

What do you need help with?

Buttons are missing from the record navigation toolbar.

The fields on the data access page are blank.

I'm having problems editing data in a field in a data access page.

I sent a data access page as an e-mail message but the recipient can't read it.

I get an error message when I attempt to enter data in a data access page.

Note The data access page may contain a PivotTable list or spreadsheet, which has its own troubleshooting information. For more information, click Help [image] on the toolbar for the PivotTable list or spreadsheet, then search for “troubleshooting.”


Glossary

chart

A graphical view of database data that is used to visually display trends, patterns, and comparisons. When the data in the database changes, the chart updates accordingly. If the chart is linked to a PivotTable list or spreadsheet on the data access page, the chart changes when you change the data in the PivotTable list or spreadsheet.

data access page

A Web page that has a connection to a database; by using a data access page, you can view, add, edit, and manipulate the data stored in the database. A data access page may also include data from other sources, such as Microsoft Excel.

database

A collection of data related to a particular topic or purpose. A data access page can connect to a Microsoft Access database or a Microsoft SQL Server database.

expand indicator

A button that is used to expand or collapse groups of records on a data access page; it displays the plus (+) or minus (-) symbol.

filter

A set of criteria that is applied to data to show a subset of the data. In a data access page, you can filter records by using Filter By Selection. Filter By Selection uses a value that you select in a field as criteria to limit the records that you see in the data access page. Only records that contain that value will be available in the page until you remove the filter.

Note A data access page can also have a built-in filter. On this type of page, you don't see any records until you choose a value from a drop-down list on the page. Only records that contain the value you choose will be displayed in the page until you choose another value to filter on.

grouped data access page

A data access page that uses two or more group levels to create a hierarchy that groups records from general categories to specific details. You can view the data on pages with grouped records, but you can't add, edit, or delete data.

PivotTable list

Similar to a Microsoft Excel PivotTable report, a PivotTable list displays data in a row and column format. A PivotTable list provides interactive capabilities in Microsoft Internet Explorer, enabling you to reorganize the data by moving rows to columns and columns to rows, displaying totals at the intersection of rows and columns, and otherwise rearranging and summarizing the data to analyze it in different ways. A PivotTable list includes its own toolbar and built-in Help.

record navigation toolbar

A toolbar that contains buttons for adding, deleting, saving, undoing changes to, sorting, filtering, and moving between records, and getting Help. In a grouped data access page, each group may have its own record navigation toolbar that's located at the bottom of the expanded group. If the toolbar on your page doesn't include some of the buttons displayed in the following art, or includes buttons that aren't listed here, it's been customized by the person who designed the page.

spreadsheet

A feature on a data access page that is similar to a Microsoft Excel worksheet. Using a spreadsheet, you can enter raw data, add formulas, apply filters, and perform additional spreadsheet operations. A spreadsheet includes its own toolbar and built-in Help.

Universal Naming Convention (UNC)

A naming convention for files that provides a machine-independent means of locating the file. A UNC name will usually include a reference to a shared folder and file accessible over a network rather than a folder and file that's specified by a drive letter and path. For example, the UNC name for a database named Northwind.mdb on a shared directory named Samples on a computer called MyWorkstation would be \\MyWorkstation\Samples\Northwind.mdb.

The UNC is particularly useful in Web-based applications because it allows you to reference data that is not necessarily stored on a particular Web server.

Uniform Resource Locator (URL)

An address to an object, document, page, or other destination (for example, a newsgroup or a World Wide Web page) on the Internet or an intranet. A URL expresses the protocol (such as FTP or HTTP) to be accessed and where the destination is located. A URL may also specify an Internet e-mail address. Some examples of URLs are:

http://www.someones.homepage/default.html

ftp://ftp.server.somewhere/ftp.file

news:alt.hypertext

Microsoft Office Web Components

Components you can use to put interactive spreadsheets, PivotTable lists, and charts on a data access page. To view and work with the objects created by using these components, you must have a Microsoft Office 2000 site license.


About hyperlink addresses on data access pages

A hyperlink address can have up to four parts, which are separated by the number sign (#):

displaytext#address#subaddress#screentip

The following table explains each part:

Part | Description | Optional?
displaytext | The text that you see in the hyperlink field on the page. For example, you might want to display a descriptive name for the World Wide Web site or object specified by the address and the subaddress. | Yes
address | An absolute or relative path to a target document. An absolute path is a fully qualified URL or UNC path to a document. A relative path is a path related to the saved location of the document. | No
subaddress | A location within the file or document. For example, you might want to point to a particular bookmark in a Word document. Learn more about the correct syntax to use for each type of document. | Yes
screentip | The text that appears when the mouse pointer rests on a hyperlink. . | Yes

On a data access page, the text box in which you enter a hyperlink address doesn’t format the address as a hyperlink. Look for the address formatted as hyperlink elsewhere on the page.

Note When a hyperlink address is formatted as a hyperlink, the data access page doesn't display all four parts.

  • If you enter displaytext, the data access page doesn't show any of the rest of the address following the display text.

  • If you don't enter displaytext, the page displays just the address.

  • 67Subaddress is displayed only if there is no display text or address.

See a list of examples of hyperlink addresses.


Enter a hyperlink address in a data access page

There are several ways to enter a hyperlink address for records that each has a different hyperlink.

What do you want to do?

Paste a hyperlink or hyperlink address

Drag an Internet shortcut

Type a hyperlink address


Examples of hyperlink addresses on data access pages

The following table shows examples of hyperlink addresses. Note that URLs use slash marks and UNC paths use backslashes.

Hyperlink address | Description
Microsoft Corporation#http://www.microsoft.com# | The Microsoft home page on the Web. Displayed as "Microsoft Corporation."
#http://www.microsoft.com# | The Microsoft home page on the Web.
#http://www.microsoft.com#sample# | The Name tag called "sample" in the .html document for the Microsoft home page.
#\\northwind\public\products.doc##List of discounted products | A Word file called Products.doc in the public shared directory on the Northwind server. The ScreenTip is "List of discounted products."
Resume#c:\windows\personal \resume.doc# | A Word file called Resume.doc located in the \Windows\Personal folder. Displayed as "Resume."
#c:\windows\personal\resume.doc# | The Resume.doc file located in the \Windows\Personal folder. The path name will be displayed, because there’s no display text.

  • If you type http://example.microsoft.com, then the data access page recognizes the "http:" protocol and translates the address to #http://example.microsoft.com#. (You don't have to enter the number signs (#) yourself.)

  • If the text you enter doesn't include a number sign (#), a protocol (such as "http:"), or a reference to an object in the current database, then the data access page assumes that the text entered is display text and the page appends the same text to "http://" for the address. For example, if you type example.microsoft.com, the page translates the address as example.microsoft.com#http://example.microsoft.com#.


Hyperlink subaddress syntax on data access pages

To jump to a location in this type of file | Enter
Microsoft Word | A bookmark name
Microsoft Excel | A defined name or asheet!range. For example, enter sheet1!A2 to jump to the A2 cell in sheet 1.
Microsoft PowerPoint | A slide number
HTML document | A bookmark name (defined by using the NAME attribute of the A tag)


Follow a hyperlink on a data access page

  • Rest the pointer over the object with the hyperlink. When the pointer changes into a hand, click the hyperlink.

    A hyperlink that you haven't clicked is blue and underlined by default. A hyperlink that you have clicked is purple and underlined by default. See the Help for your Web browser for information on changing the default settings for hyperlinks.


Move between records by using navigation buttons on a data access page

  • Use the navigation buttons located on the record navigation toolbar to quickly move between records or a group of records on a grouped data access page.

    Record navigation buttons


Show or hide the records for a group on a data access page

  • Click the expand indicator next to the group heading.


Sort data on a data access page

You can sort the data on a data access page, including data that's grouped. For grouped pages, you can sort the list of groups or the records within a group.

  1. In the data access page, click in the field you want to use for sorting records. For grouped pages, display the records within a particular group that you want to sort, then select the value you want to sort on.

  2. Do one of the following:
    • To sort in ascending order, click Sort Ascending [image].

    • To sort in descending order, click Sort Descending [image].

Notes

  • When you sort records within a group, the sort order only applies to that group. It does not affect the order of records in other groups. For example, say a data access page is grouped by region, the region names are listed in ascending order, and under each region employees are listed in ascending order by their last name. If you display employee records for Mexico and then sort employees in descending order by last name, then the employee records for other regions will still be sorted in ascending order, as will the list of regions themselves.

  • To change the sort order, click in the field you want to sort, and then click the sort button you want.

  • If you browse to another data access page and come back to this page, you'll lose the sort order.

  • The order in which numbers, text, and special characters are sorted depends on the database and your regional settings in Windows Control Panel.

  • This procedure doesn't apply to a PivotTable list or spreadsheet. These features can be sorted independent of the rest of the data on the data access page and may also support additional sorting capabilities. For more information, click Help [image] on the toolbar for the PivotTable list or spreadsheet, and then search for “sorting.”


Find specific data using a filter on a data access page

With a filter, you can find records based on whether they contain a specific value in a particular field. For example, you can find all records that have "Germany" in the Country field. When you apply the filter, only the records that contain the value you selected will show in the data access page. Once you remove the filter, all the records will be displayed again. For grouped pages, you can filter the list of groups (the group headings) or the records within groups.

  1. In a field on the data access page, select the value you want to use to filter records, and then click Filter By Selection [image] on the record navigation toolbar.

    For grouped data access pages, display the records within the group you want to filter, select the value you want to filter for, and then click Filter By Selection [image] on the record navigation toolbar for that group. The filter only applies to the current group. In other words, if a page groups customer orders by country, and you filter the records for Brazil with a required date of 6/2/98, that filter only applies to the records for Brazil, not to the records for the other countries.

  2. You can further narrow the subset of records by continuing to select values and clicking Filter By Selection [image] until you have just the records that you want. For example, if you only want to see records for customers in Germany with a required date of 5/12/98, then you select "Germany" in the Country field, click Filter By Selection [image], select "5/12/98" in the Required Date field, then click Filter By Selection [image] again.

Notes

  • If you only select part of the value in a field, the data access page still uses the entire field value for filtering.

  • You can remove the filter and then reapply it during the same working session.

  • Once you browse to another data access page, you'll lose the filter.

  • This procedure doesn't apply to a PivotTable list or spreadsheet. These features can be filtered independent of the rest of the data on the data access page and may also support additional filtering capabilities. For more information, click Help [image] on the toolbar for the PivotTable list or spreadsheet, and then search for “filters.”


Apply an existing filter to a data access page

You can reapply a filter that you created earlier in the current working session. However, if you browsed to another data access page since you created the filter, it won't be available when you return to the data access page. You'll have to recreate it.

  • Click Apply Filter [image] on the record navigation toolbar. For grouped data access pages, display the records within the group that you want to filter, and then click Apply Filter [image] on the record navigation toolbar for that group.

Note This procedure doesn't apply to a PivotTable list or spreadsheet. These features can be filtered independent of the rest of the data on the data access page and might also support additional filtering capabilities. For more information, click Help [image] on the toolbar for the PivotTable list or spreadsheet, and then search for “filters.”


Remove a filter to show all records in a data access page

  • Click Remove Filter [image] on the record navigation toolbar.

Notes

  • Removing a filter doesn't delete it. You can reapply the filter by clicking Apply Filter [image] on the record navigation toolbar. However, once you browse to another data access page, you'll lose that filter.

  • This procedure doesn't apply to a PivotTable list or spreadsheet. These features can be filtered independent of the rest of the data on the data access page and may also support additional filtering capabilities. For more information, click Help [image] on the toolbar for the PivotTable list or spreadsheet, and then search for “filters.”


Add a new record on a data access page

  1. Click New Record [image] on the record navigation toolbar.

  2. Type the data that you want in the first field, and then press TAB to go to the next field.

  3. When you are finished adding data to each field, click Save Record [image] to save the record.

Note The record is automatically saved the record as soon as you begin editing another record, apply or remove a filter, or switch to another data access page.


Add, change, or delete the path to a picture on a data access page

Note The picture is not stored in the database. Rather, the path to the picture's location is stored in the database, and the picture is stored in a computer's file system.

  1. Move to the record or use a filter to find the record that contains the path to the picture you want to add, change, or delete.

  2. Click inside the field containing the path to the picture.

  3. Do one of the following:

    To add the path to the picture, type in the path of the picture's location.

    To change the path to the picture, edit the path. Learn about editing a field.

    To delete the path to the picture, select the entire contents of the field and press the DEL key.

Notes

  • To see your results in the data access page, explicitly save the record, and then refresh the data access page.

  • The path can be a relative path, a path on your computer, a universal naming convention (UNC) path, or a uniform resource locator URL. The type of path you should use depends on the requirements of the database.

  • To delete the actual picture, you must delete it from its location in the file system. This capability may not be in the page, depending on how it was authored. See Microsoft Windows Help for more information on deleting files.


Display the most current data on a data access page

If other users are entering data at the same time as you are, your data access page may not be displaying the most recent changes to the database. You can reload the most recent data from the database.

  • Click Refresh [image] on the Microsoft Internet Explorer toolbar, or press F5.

Caution If you click Refresh before you have saved your changes, Microsoft Internet Explorer warns you that your changes may be discarded, and you must click Cancel to prevent losing your changes to the current record.

Notes

  • If reloading the data takes a long time, and you want to cancel the operation, click Stop [image] on the Microsoft Internet Explorer toolbar or press ESC.

  • Your data access page may have a PivotTable list control, which has its own refresh method. To display Help for a PivotTable list, click Help [image] on the PivotTable list toolbar.


Delete a record on a data access page

Important Once you delete a record, you cannot undo the deletion from the database.

  1. Move to the record or use a filter to find the record you want to delete.

  2. Click Delete Record [image] on the record navigation toolbar.


Select fields and records on a data access page

The following table lists mouse techniques for selecting data or records on a data access page.

To select | Click
Data in a field | Where you want to start selecting and drag across the data
An entire field | Three times
A record | On a grouped data access page, click any field.

The following table lists keyboard techniques for selecting data or records on a data access page.

To select | Do this
Data in a field | Move the insertion point to the start of the text that you want to select, and then hold down SHIFT and press the arrow keys to move to the end of the selection.
An entire field | Move the insertion point to anywhere in the field and press HOME, SHIFT+END.
A record | On a grouped data access page, press TAB.

Note Your data access page may have a PivotTable list or spreadsheet control and they have their own methods of selection. To display Help for a PivotTable list or spreadsheet, click Help [image] on that feature's toolbar.


Edit the data in a field on a data access page

  1. Move to the record or use a filter to find the record that you want to edit.

  2. Click in the field that you want to edit.

  3. Type the text that you want to insert.

Notes

  • If you make a typing mistake, press BACKSPACE. If you want to cancel your changes in the current field, press ESC. If you want to cancel your changes in the entire record, Click Undo Record [image] on the record navigation toolbar.

  • Changes are automatically saved when you move to another record, apply or remove a filter, or switch to another data access page.


Save a record on a data access page

  • To explicitly save the data in a record while you are editing it, click Save Record [image] on the record navigation toolbar.

Note The record is automatically saved as soon as you move to a different record, apply or remove a filter, or switch to another data access page.


Undo changes when adding or editing records on a data access page

  • Click Undo Record [image] on the record navigation toolbar to take back your most recent change.

As soon as you begin editing another record, apply or remove a filter, or switch to another data access page, you can't undo your changes.


Use shortcut keys on a data access page

Note To use the following keys, press the TAB key repeatedly until the expand indicator or record navigation toolbar has focus. If a PivotTable list or spreadsheet control currently has focus, press CTRL+TAB.

Press | To
SPACE or ENTER | Expand or collapse a group of records that correspond to the expand indicator in a grouped data access page
LEFT ARROW or RIGHT ARROW | Select a button on the record navigation toolbar
SPACE or ENTER | Activate the selected button on the record navigation toolbar


Print a data access page

When you print a data access page, the printout contains only what is currently displayed on the screen, including expand indicators and record navigation bars.

  1. Scroll to the part of the data access page you want to print.

  2. If necessary, expand or collapse any groups you do or do not want to print.

  3. On the Internet Explorer File menu, click Print.

Note The data access page may contain a PivotTable list or spreadsheet, which has additional printing considerations. For more information, click Help [image] on the toolbar for the PivotTable list or spreadsheet, then search for “printing.”


Example of a data access page for data analysis

A data access page for analysis


Example of a data access page for data entry

A data access page for data entry


Example of a data access page for interactive reporting

A data access page for interactive reporting


Work with data on a data access page

What do you want to do?

Add, edit, and delete data

Move between records by using navigation buttons on a data access page

Add a new record on a data access page

Select fields and records on a data access page

Edit the data in a field on a data access page

Undo changes when adding or editing records on a data access page

Display the most current data on a data access page

Enter a hyperlink address on a data access page

Add, change, or delete the path to a picture on a data access page

Save and delete records

Save a record on a data access page

Delete a record on a data access page

Sort and filter data

Sort data on a data access page

Find specific data by using a filter on a data access page

Apply an existing filter to a data access page

Remove a filter to show all records on a data access page

Use shortcut keys

Use shortcut keys on a data access page


Enter a hyperlink by dragging an Internet shortcut

  1. Navigate to an Internet shortcut (an icon on your desktop or an item in subfolders in the History subfolder of your Windows folder).

  2. Select the Internet shortcut, right-click the selection, and then use the right mouse button to drag the shortcut to the text box that accepts hyperlinks on the data access page.

    On a data access page, the text box in which you enter a hyperlink address doesn’t format the address as a hyperlink. Look for the address formatted as hyperlink elsewhere on the page.

Tip Click the Refresh button on the Microsoft Internet Explorer toolbar to see the hyperlink address displayed as a formatted hyperlink.


Enter a hyperlink by pasting a hyperlink or hyperlink address

  1. Navigate to a hyperlink or hyperlink address in one of the following ways:
    • Open a document that contains the hyperlink or the hyperlink address.

    • In a Web browser such as Microsoft Internet Explorer, go to the page that contains the hyperlink or hyperlink address.
  2. Do one of the following:
    • In the document, select the hyperlink or the hyperlink address and then click Copy on the Edit menu.

    • In the Web browser, select the address in the Address box or select a hyperlink address anywhere on a page, right-click the selection, and then click Copy Shortcut on the shortcut menu.
  3. Open a data access page in your Web browser.

  4. Place the insertion point in the text box that accepts hyperlinks on the page.

  5. On the Edit menu, click Paste.

    On a data access page, the text box in which you enter a hyperlink address doesn’t format the address as a hyperlink. Look for the address formatted as hyperlink elsewhere on the page.

Tip Click the Refresh button on the Internet Explorer toolbar to see the hyperlink address displayed as a formatted hyperlink.


I get an error message when I attempt to enter data on a data access page.

When you try to move out of a field after changing data, the database validates the data, making sure that the value you entered is allowed in that field. If the value isn't allowed, the database alerts you. In order to leave the field, you must either change the data to an acceptable value or undo your changes.

A value might not be allowed in a field for the following reasons:

  • The value isn't compatible with the type of data that is allowed in the field. If you enter a value that isn't correct, the database attempts to convert the entry for you. However, some data can't be automatically converted. For example, you can't store a name in a field that only accepts numbers.

  • The data breaks a validation rule for the field. For example, a reorder level field may require a minimum value of 10, and you entered a value of 5.

  • Data is required in the field, and you've tried to leave it blank. For example, a unit price field may require a value greater than 0, and you didn't enter anything in the field.

The database also validates data when you move out of a record. Before it saves a record, the database makes sure that your changes don't break any record validation rules. Additionally, the database usually makes sure that the record you are editing doesn't have the same value for a record ID field as another record in the table. If the record can't be saved, you must either make any necessary corrections or undo all changes you made to the record.


Type a hyperlink address in a text box on a data access page

  1. Place the insertion point in the text box that accepts hyperlink addresses.

  2. Type a valid hyperlink address. A hyperlink address can have up to four parts that are separated by the number sign (#):

    displaytext#address#subaddress#screentip

    The following example includes displaytext, address, and screentip. Note that it also includes the # for subaddress, which has been omitted: Microsoft Corp.#http://example.microsoft.com/##Example page for Microsoft Corporation

Notes

  • On a data access page, the text box in which you enter a hyperlink address doesn’t format the address as a hyperlink. Look for the address formatted as hyperlink elsewhere on the page.

  • You must click the Refresh button on the Microsoft Internet Explorer toolbar to see the hyperlink address displayed as a formatted hyperlink.

  • The ScreenTip displayed for a hyperlink on a data access page is defined for the picture or hyperlink when the page is designed, so a ScreenTip you enter won’t be displayed on the data access page. It is, however, stored in the field in the database.

  • Learn more about entering hyperlink addresses.


I sent a data access page as an e-mail message but the recipient can't read it.

To view a data access page that was sent as an e-mail message, the a mail recipient must read the e-mail message by using one of the following:

  • Microsoft Outlook 2000

  • Microsoft Outlook Express Version 5.0

  • The combination of Microsoft Outlook 98 and Microsoft Internet Explorer 5 or later

  • The combination of Outlook Express and Microsoft Internet Explorer 5 or later

Mail recipients can contact their system administrator for more information about installing or upgrading this software.


I'm having problems editing data in a field on a data access page.

There are several kinds of fields that you can't edit on a data access page. The following fields may display values just as regular fields do, but if you try to enter data into them, nothing happens:

  • Fields that automatically enter a number The database automatically assigns a number to this field for each record that you add. This type of field is often used as a record ID number. The database automatically fills in the field's value for you.

  • Fields that automatically calculate This type of field displays values that the database automatically calculates. These fields are usually based on other fields in the database, but are not stored in the database.

  • Locked or disabled fields A field may be locked or disabled for data entry.

  • Fields in a locked record If the database that you are accessing is shared by many users, and a record is locked by another user, you can't edit the data in the record until the other user is finished editing the record.

  • Read-only field The underlying data in the database is read-only.

  • Fields in a grouped data access page A grouped data access page is only intended to display data.

  • PivotTable lists fields A PivotTable List is only intended to display data.

You may be having problems entering dates in a field that stores dates and times. If you are entering dates by using the slash mark (/) format, don't enter a trailing slash mark. For example, 1/3 is valid, but 1/3/ is not valid.


Why are the fields on the data access page blank?

Possible reasons include:

  • The data access page that you are displaying may be a data-entry form. You can enter your data in the blank fields.

  • The data access page contains a drop-down list that determines which records to display. Select a value from the drop-down list to see a specific group or subset of records.

  • The data access page lost its connection to the underlying database. Refresh the page to reconnect to the underlying database.

  • The database is locked by another user.


Why are buttons missing from the record navigation toolbar?

The designer of the data access page removed the buttons for that page or group.